Package org.eclipse.m2m.atl.core.ant.tasks.nested

## Class Classpath

- java.lang.Object
- - org.eclipse.m2m.atl.core.ant.tasks.nested.Classpath

    public class Classpath
    extends java.lang.Object

Classpath nested element.

### Constructor Summary

Constructors
`Classpath()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfiguredPathelement​(Pathelement p)` Adds a `Pathelement`.
`java.util.List<Pathelement>` `getPathElements()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Classpath

    public Classpath()

### Method Detail

#### addConfiguredPathelement

    public void addConfiguredPathelement​(Pathelement p)

Adds a `Pathelement`.

Parameters:
  `p` - the path element

#### getPathElements

    public java.util.List<Pathelement> getPathElements()